/* ページ全体を画面高に合わせる */
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
}

/* 全体 */
body {
  font-family: "Hiragino Sans", "ヒラギノ角ゴシック", sans-serif;
  color: #1d394f;
}

/* 全体ラッパーでフッター固定用の構成 */
.body-wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
  text-align: center;
  margin-bottom: 1px;
}

.wrapper {
  max-width: 600px;
  width: 100%;
  margin: 0 auto;
}

/* mainを残りのスペースに広げて中央揃え */
main {
  flex: 1;
}

/* タイトル */
.title {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
}

/* アイコン - ノート */
.img-note {
  height: 20px;
  width: 20px;
  margin-right: 8px;
}

.title-text {
  width: 183px;
  height: 25px;
  margin-top: 0px;
  font-weight: bold;
  color: #1d394f;
  line-height: 25px;
}

/* お客様情報、ご予約内容の確認 */
.customer-info,
.confirm-info {
  text-align: center;
  color: #1d394f;
  font-size: 24px;
  font-weight: 300;
  margin-top: 24px;
  margin-bottom: 0px;
  padding: 0px;
}

.form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-left: 15px;
  margin-right: 15px;
  /* background-color: aqua; */
}

.form-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  border-radius: 12px;
  /* border: 1px solid black; */
  background-color: #f7f7f7;
  padding-bottom: 25px;
  margin-bottom: 15px;
  margin-left: 20px;
  margin-right: 20px;
}

.item-content {
  width: 305px;
  margin: 0 20px;
}

.item-title {
  font-size: 18px;
  color: #1d394f;
  font-weight: 600;
  margin-left: 0px;
  margin-bottom: 11px;
}

/* 必須or任意 */
.field-name-required::before {
  content: "必須";
  width: 40px;
  height: 18px;
  font-size: 12px;
  color: #fff;
  background-color: #cc0000;
  border-radius: 10px;
  padding-top: 1px;
  padding-bottom: 2px;
  padding-left: 8px;
  padding-right: 8px;
  margin-right: 8px;
}

.field-name::before {
  content: "任意";
  font-size: 12px;
  color: #fffbfb;
  background-color: #cccccc;
  border-radius: 10px;
  padding-top: 1px;
  padding-bottom: 2px;
  padding-left: 8px;
  padding-right: 8px;
  margin-right: 8px;
}

.line {
  width: 305px;
  height: 1px;
  background-color: #d9d9d9;
  margin: 0 auto;
}

.text {
  font-size: 12px;
}

/* 入力エラー時 */
.error {
  color: #cc0000;
  font-size: 12px;
}

.error-input {
  border: 2px solid #cc0000 !important;
}

.form-row {
  display: flex;
  justify-content: center; /* 中央揃えにする */
  gap: 9px;
  width: 305px;
}

.box-left {
  width: 100%;

  height: 50px;
  background: white;
  border: 2px solid #ccc;
  border-radius: 8px;
  display: flex;
  align-items: center;
  margin: 0px 0px;
  margin-left: 0px;
  font-size: 16px;
  color: #1d394f;
  cursor: pointer;
  position: relative;
  text-indent: 20px;
}

.box-right {
  width: 100%;

  height: 50px;
  background: white;
  border: 2px solid #ccc;
  border-radius: 8px;
  display: flex;
  align-items: center;
  margin: 0px 0px;
  margin-right: 0px;
  font-size: 16px;
  color: #1d394f;
  cursor: pointer;
  position: relative;
  text-indent: 20px;
}

.form-row input[type="text"] {
  padding: 0;
}

/* 矢印非表示のプルダウン */
.custom-select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: none;
  position: relative;
  padding-right: 40px; /* 矢印ぶんの余白 */
}

.pulldown-arrow-wrapper {
  position: relative;
}

/* 矢印画像を表示 */
.pulldown-arrow-wrapper::after {
  content: "";
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(70%);
  width: 12px;
  height: 12px;
  background-image: url("../assets/images/arrow-under.svg"); /* ← 矢印画像のパス */
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}

/* 入力欄 */
.input-text {
  width: 305px;
  height: 50px;
  background: white;
  border: 1px solid #ddd;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 0px;
  font-size: 16px;
  text-indent: 20px;
  margin-top: 5px;
}

.input-text-pulldown {
  width: 305px;
  height: 50px;
  background: white;
  border: 1px solid #ddd;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 0px;
  font-size: 16px;
  padding-left: 20px;
  margin-top: 5px;
}

/* カスタムラジオボタンの見た目 */
.custom-radio {
  position: relative;
  width: 16px;
  height: 16px;
  border: 2px solid #ccc;
  border-radius: 50%;
  margin-left: 17px;
  margin-right: 0px;
  box-sizing: border-box;
  background-color: #ccc;
  transition: background-color 0.2s, border-color 0.2s;
}

/* ラジオボタン自体は非表示 */
.box-left input[type="radio"],
.box-right input[type="radio"] {
  display: none;
}

/* ●の外にリングを出す */
.radio-box input[type="radio"]:checked ~ .custom-radio::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 30px;
  height: 30px;
  transform: translate(-50%, -50%);
  border: 2px solid #2288dd;
  border-radius: 50%;
  box-sizing: border-box;
}

/* 選択されたときに丸ごと青く */
.radio-box input[type="radio"]:checked + .custom-radio {
  border-color: #2288dd;
  background-color: #2288dd;
}

/* [TODO:共通化すること] 選択されたラジオボタン用の枠線 */
.radio-box.selected {
  border-color: #2288dd;
}

/* チェックされた時のラベルの色と枠線 */
.radio-box input[type="radio"]:checked ~ span {
  color: #2288dd;
  font-weight: bold;
}

/*　送信ボタン*/
.btn-submit {
  background-color: #2188dd;
  color: #fff;
  border: 0;
  border-radius: 40px;
  cursor: pointer;
  font-family: inherit;
  font-size: 16px;
  font-weight: 600;
  width: 255px;
  height: 50px;

  position: relative;

  &:active {
    transform: scale(0.98);
  }
}

/* 次へボタン 位置 */
.btn-Position-next {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin-top: 11px;
}

/* 次へ 活性化時*/
.btn-next:enabled {
  background-color: #2188dd;
  color: #fff;
  border: 0;
  border-radius: 40px;
  cursor: pointer;
  font-family: inherit;
  /* padding: 0.5rem 8rem; */
  /* margin: 5px; */
  font-size: 16px;
  font-weight: 600;
  width: 255px;
  height: 50px;

  position: relative;

  &:active {
    transform: scale(0.98);
  }
}

.btn-next:disabled {
  background-color: #cccccc;
  color: #fff;
  border: 0;
  border-radius: 40px;
  cursor: pointer;
  font-family: inherit;
  /* padding: 0.5rem 8rem; */
  /* margin: 5px; */
  font-size: 16px;
  font-weight: 600;
  width: 255px;
  height: 50px;

  position: relative;
}

/* 戻る兼修正ボタン 位置 */
.btn-Position-back {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin-top: 15px;
  margin-bottom: 30px;
}

/* 戻る兼修正ボタン 活性化時 */
.btn-back {
  background: white;
  border-radius: 40px;
  border: 2px #2288dd solid;
  cursor: pointer;

  cursor: pointer;
  width: 95px;
  height: 40px;

  font-size: 14px;
  color: #2288dd;
  font-weight: bold;
  position: relative;
  text-align: center;
  padding: 0;
  overflow: hidden;

  &:active {
    transform: scale(0.98);
  }

  &:focus {
    outline: 0;
  }
}

/* 矢印関係 */
.arrow-position {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  width: 8px; /* サイズ調整お好みで */
  height: auto;
}

.arrow-position-right {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  width: 8px; /* サイズ調整お好みで */
  height: auto;
}

/* フッター */
footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* margin-bottom: 20px; */
  padding-bottom: 20px;
}

footer span {
  color: #c6c6c5;
  font-size: 12px;
  font-weight: 600;
  word-wrap: break-word;
}

@media screen and (min-width: 1024px) {
  .form-content {
    width: 700px;
  }
  .wrapper {
    min-width: 700px;
  }
}
